Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mx.notification
Class MBeanServerListenerRegistration

    java.lang.Object
      org.jboss.mx.notification.DefaultListenerRegistration
          org.jboss.mx.notification.MBeanServerListenerRegistration

All Implemented Interfaces:
  ListenerRegistration

public class MBeanServerListenerRegistration
extends DefaultListenerRegistration

The notification listener registration for a listener in the mbeanserver. The listener is proxied so we can replace the source of the notification with the object name.

We also handle the registration with the broadcaster.

Version:
  $Revision: 1.6 $
Author:
  Adrian Brock.
See Also:
  `ListenerRegistry`, `ListenerRegistrationFactory`

Constructor Summary
`MBeanServerListenerRegistration(ObjectName name, NotificationBroadcaster broadcaster, NotificationListener listener, NotificationFilter filter, Object handback)` Create a listener registration

Method Summary
`NotificationFilter` | `getFilter()` Retrieve the filter for this registration.
`NotificationListener` | `getListener()` Retrieve the listener for this registration.
`void` | `removed()` Used to tell the registration it is no longer required.

Methods inherited from class org.jboss.mx.notification.DefaultListenerRegistration
`equals, getHandback, getRegisteredFilter, getRegisteredListener, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MBeanServerListenerRegistration

    public MBeanServerListenerRegistration(ObjectName name,
                                           NotificationBroadcaster broadcaster,
                                           NotificationListener listener,
                                           NotificationFilter filter,
                                           Object handback)

  Create a listener registration

Parameters:
  `name` - the object name to use as the notifiation source
  `broadcaster` - the notification broadcaster
  `listener` - the notification listener
  `filter` - the notification filter
  `handback` - the handback object a

Method Detail

### getListener

    public NotificationListener getListener()

  Description copied from interface: `ListenerRegistration`
  Retrieve the listener for this registration.

  Specified by:
    `getListener` in interface `ListenerRegistration`
  Overrides:
    `getListener` in class `DefaultListenerRegistration`

### getFilter

    public NotificationFilter getFilter()

  Description copied from interface: `ListenerRegistration`
  Retrieve the filter for this registration.

  Specified by:
    `getFilter` in interface `ListenerRegistration`
  Overrides:
    `getFilter` in class `DefaultListenerRegistration`

### removed

    public void removed()

  Description copied from interface: `ListenerRegistration`
  Used to tell the registration it is no longer required.

  Specified by:
    `removed` in interface `ListenerRegistration`
  Overrides:
    `removed` in class `DefaultListenerRegistration`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.